tbb::flow::interface11::internal::async_body< Input, Ports, Gateway, Body > Class Template Reference

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface11::internal::async_body< Input, Ports, Gateway, Body >:
Collaboration diagram for tbb::flow::interface11::internal::async_body< Input, Ports, Gateway, Body >:

## Public Types

typedef async_body_base< Gateway > | base_type
typedef Gateway | gateway_type
Public Types inherited from tbb::flow::interface11::internal::async_body_base< Gateway >
typedef Gateway | gateway_type

## Public Member Functions

| async_body (const Body &body, gateway_type *gateway)
void | operator() (const Input &v, Ports &)
Body | get_body ()
Public Member Functions inherited from tbb::flow::interface11::internal::async_body_base< Gateway >
| async_body_base (gateway_type *gateway)
void | set_gateway (gateway_type *gateway)

## Private Attributes

Body | my_body

## Additional Inherited Members

Protected Attributes inherited from tbb::flow::interface11::internal::async_body_base< Gateway >
gateway_type * | my_gateway

## Detailed Description

### template<typename Input, typename Ports, typename Gateway, typename Body>
class tbb::flow::interface11::internal::async_body< Input, Ports, Gateway, Body >

Definition at line 4184 of file flow_graph.h.

## Member Typedef Documentation

## base_type

template<typename Input , typename Ports , typename Gateway , typename Body >

typedef async_body_base<Gateway> tbb::flow::interface11::internal::async_body< Input, Ports, Gateway, Body >::base_type

Definition at line 4186 of file flow_graph.h.

## gateway_type

template<typename Input , typename Ports , typename Gateway , typename Body >

typedef Gateway tbb::flow::interface11::internal::async_body< Input, Ports, Gateway, Body >::gateway_type

Definition at line 4187 of file flow_graph.h.

## Constructor & Destructor Documentation

## async_body()

template<typename Input , typename Ports , typename Gateway , typename Body >

tbb::flow::interface11::internal::async_body< Input, Ports, Gateway, Body >::async_body | ( | const Body & | body,
|  | gateway_type * | gateway
| ) |  |

inline

Definition at line 4189 of file flow_graph.h.

: base_type(gateway), my_body(body) { }
tbb::flow::interface11::internal::async_body::my_body
Body my_body
Definition: flow_graph.h:4199
tbb::flow::interface11::internal::async_body::base_type
async_body_base< Gateway > base_type
Definition: flow_graph.h:4186

## Member Function Documentation

## get_body()

template<typename Input , typename Ports , typename Gateway , typename Body >

Body tbb::flow::interface11::internal::async_body< Input, Ports, Gateway, Body >::get_body | ( |  | ) |

inline

Definition at line 4196 of file flow_graph.h.

{ return my_body; }

References tbb::flow::interface11::internal::async_body< Input, Ports, Gateway, Body >::my_body.

Referenced by tbb::flow::interface11::async_node< Input, Output, Policy, Allocator >::copy_function_object().

Here is the caller graph for this function:

## operator()()

template<typename Input , typename Ports , typename Gateway , typename Body >

void tbb::flow::interface11::internal::async_body< Input, Ports, Gateway, Body >::operator() | ( | const Input & | v,
|  | Ports & |
| ) |  |

inline

Definition at line 4192 of file flow_graph.h.

{
my_body(v, *this->my_gateway);
}
tbb::flow::interface11::internal::async_body_base::my_gateway
gateway_type * my_gateway
Definition: flow_graph.h:4180

References tbb::flow::interface11::internal::async_body< Input, Ports, Gateway, Body >::my_body, and tbb::flow::interface11::internal::async_body_base< Gateway >::my_gateway.

## Member Data Documentation

## my_body

template<typename Input , typename Ports , typename Gateway , typename Body >

Body tbb::flow::interface11::internal::async_body< Input, Ports, Gateway, Body >::my_body

private

Definition at line 4199 of file flow_graph.h.

Referenced by tbb::flow::interface11::internal::async_body< Input, Ports, Gateway, Body >::get_body(), and tbb::flow::interface11::internal::async_body< Input, Ports, Gateway, Body >::operator()().

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.